10.5.0-30

From 3dbrew
Jump to: navigation, search

The Old3DS+New3DS 10.5.0-30 system update was released on January 25, 2016. This Old3DS update was released for the following regions: USA, EUR, JPN, CHN, KOR, and TWN. This New3DS update was released for the following regions: USA, EUR, JPN, CHN, and KOR.

Security flaws fixed: <fill this in manually later, see the updatedetails page from the ninupdates-report page(s) once available for now>.

Change-log[edit]

Official USA change-log:

  • Further improvements to overall system stability and other minor adjustments have been made to enhance the user experience

System Titles[edit]

Only the following titles were updated: CVer, NVer, "Non-Nintendo TLS Root-CA Certificates CFA", 0004001B00010802, and friends sysmodule.

friends sysmodule[edit]

A few u32s in .text were updated which are version-related. Minus SDK version-values used with ErrDisp, this just changed the fpdver value sent for HTTPS request(s) from 3 to 4(this is also used with the user-agent).

0004001B00010802[edit]

The only change here(even including the NCCH header) was that the contents of RomFS:/dummy.txt was changed from 1-byte '1' to '2'.

Certs CFA[edit]

This just updated the RomFS:/CACERT_PUBLIC_CA_6.der file. This replaced the "VeriSign" cert with "CyberTrust ..."

See Also[edit]

System update report(s):

Online multiplayer sysupdate message[edit]

Following the server maintenance on February 1, 2016, the nasc URL now returns an error indicating a sysupdate is required when a pre-v10.5 3DS tries to send a request with that URL. The server now checks that the fpdver value sent in the request is the newer one described in the above friends-module section.

Hence, this blocks "everything" requiring friends-login including online-multiplayer where the 3DS has friends-module <v10.5 installed. This somehow doesn't affect the YouTube application even though it does a friends-login.